org.apache.jmeter.protocol.http.control

## Enum AuthManager.Mechanism

- java.lang.Object
- - java.lang.Enum<AuthManager.Mechanism>
  - - org.apache.jmeter.protocol.http.control.AuthManager.Mechanism

All Implemented Interfaces:
  Serializable, Comparable<AuthManager.Mechanism>

Enclosing class:
  AuthManager

    public static enum AuthManager.Mechanism
    extends Enum<AuthManager.Mechanism>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC` Basic Auth
`BASIC_DIGEST` Deprecated. (use `BASIC`)
`DIGEST` Digest Auth
`KERBEROS` Kerberos Auth

### Method Summary

All Methods Static Methods Concrete Methods
`static AuthManager.Mechanism` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthManager.Mechanism[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASIC_DIGEST

    @Deprecated
    public static final AuthManager.Mechanism BASIC_DIGEST

Deprecated. (use `BASIC`)

#### BASIC

    public static final AuthManager.Mechanism BASIC

Basic Auth

#### DIGEST

    public static final AuthManager.Mechanism DIGEST

Digest Auth

#### KERBEROS

    public static final AuthManager.Mechanism KERBEROS

Kerberos Auth

### Method Detail

#### values

    public static AuthManager.Mechanism[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthManager.Mechanism c : AuthManager.Mechanism.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthManager.Mechanism valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null